# Generated by go2rpm
%bcond_without check

# https://github.com/pquerna/otp
%global goipath         github.com/pquerna/otp
Version:                1.2.0

%gometa

%global common_description %{expand:
One Time Passwords (OTPs) are an mechanism to improve security over passwords
alone. When a Time-based OTP (TOTP) is stored on a user's phone, and combined
with something the user knows (Password), you have an easy on-ramp to
Multi-factor authentication without adding a dependency on a SMS provider. This
Password and TOTP combination is used by many popular websites including Google,
Github, Facebook, Salesforce and many others.

The otp library enables you to easily add TOTPs to your own application,
increasing your user's security against mass-password breaches and malware.}

%global golicenses      LICENSE NOTICE
%global godocs          example README.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        TOTP library for Go

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/boombuler/barcode)
BuildRequires:  golang(github.com/boombuler/barcode/qr)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 04 16:34:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Release 1.2.0

* Sat Apr 06 18:08:34 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-1
- Release 1.1.0 (#1695320)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 08 2017 Ed Marshall <esm@logic.net> - 1.0.0-1
- First package for Fedora
